summaryrefslogtreecommitdiff
path: root/dev-php/PEAR-Exception
diff options
context:
space:
mode:
authorroot <root@alpha.trunkmasters.com>2026-06-04 05:48:38 -0500
committerroot <root@alpha.trunkmasters.com>2026-06-04 05:48:38 -0500
commitbfd9c39e4712ebdb442d4ca0673061faed1e70e1 (patch)
tree0d7a74b4463ee387f9cf9368ceb1b757f694f72a /dev-php/PEAR-Exception
parentf716a9fe6455d39eef01e718aae68dae61c19704 (diff)
downloadbaldeagleos-repo-bfd9c39e4712ebdb442d4ca0673061faed1e70e1.tar.gz
baldeagleos-repo-bfd9c39e4712ebdb442d4ca0673061faed1e70e1.tar.xz
baldeagleos-repo-bfd9c39e4712ebdb442d4ca0673061faed1e70e1.zip
Revert "Adding metadata"
This reverts commit f716a9fe6455d39eef01e718aae68dae61c19704.
Diffstat (limited to 'dev-php/PEAR-Exception')
-rw-r--r--dev-php/PEAR-Exception/Manifest1
-rw-r--r--dev-php/PEAR-Exception/PEAR-Exception-1.0.2.ebuild29
-rw-r--r--dev-php/PEAR-Exception/metadata.xml13
3 files changed, 43 insertions, 0 deletions
diff --git a/dev-php/PEAR-Exception/Manifest b/dev-php/PEAR-Exception/Manifest
new file mode 100644
index 000000000000..8700aff21566
--- /dev/null
+++ b/dev-php/PEAR-Exception/Manifest
@@ -0,0 +1 @@
+DIST PEAR_Exception-1.0.2.tgz 5458 BLAKE2B f6e7bc452729ec4419650a0fbd6ef091dd5ec1b91804e1b59c598e44d3c04bf043084e385daa56fd1f6c012090010490922627a465061fe57ef9d74a49960e91 SHA512 80022c03bb665307a9feea88312301c86c903c5b8737559f59fc0028a08976976dd21e19a7dc805c27ec41f90ebd310012cd56ba2c2c006cf0df7cea69323a91
diff --git a/dev-php/PEAR-Exception/PEAR-Exception-1.0.2.ebuild b/dev-php/PEAR-Exception/PEAR-Exception-1.0.2.ebuild
new file mode 100644
index 000000000000..eb63dd673bb6
--- /dev/null
+++ b/dev-php/PEAR-Exception/PEAR-Exception-1.0.2.ebuild
@@ -0,0 +1,29 @@
+# Copyright 1999-2025 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+MY_PN="${PN/-/_}"
+MY_P="${MY_PN}-${PV}"
+
+DESCRIPTION="The PEAR Exception base class"
+HOMEPAGE="https://pear.php.net/package/PEAR_Exception"
+SRC_URI="http://download.pear.php.net/package/${MY_P}.tgz"
+S="${WORKDIR}/${MY_P}"
+LICENSE="BSD-2"
+SLOT="0"
+KEYWORDS="~alpha amd64 arm ~hppa ppc64 ~riscv ~s390 ~sparc x86"
+IUSE="test"
+RESTRICT="!test? ( test )"
+RDEPEND="dev-lang/php:*
+ !<=dev-php/PEAR-PEAR-1.10.3-r1"
+DEPEND="test? ( ${RDEPEND} dev-php/phpunit )"
+
+src_install() {
+ insinto /usr/share/php
+ doins -r PEAR
+}
+
+src_test() {
+ phpunit --do-not-cache-result tests || die "test suite failed"
+}
diff --git a/dev-php/PEAR-Exception/metadata.xml b/dev-php/PEAR-Exception/metadata.xml
new file mode 100644
index 000000000000..e29745256072
--- /dev/null
+++ b/dev-php/PEAR-Exception/metadata.xml
@@ -0,0 +1,13 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "https://www.gentoo.org/dtd/metadata.dtd">
+<pkgmetadata>
+ <maintainer type="project">
+ <email>php-bugs@gentoo.org</email>
+ <name>PHP</name>
+ </maintainer>
+ <upstream>
+ <remote-id type="github">pear/pear_exception</remote-id>
+ <remote-id type="pear">PEAR_Exception</remote-id>
+ </upstream>
+ <stabilize-allarches/>
+</pkgmetadata>